    if RequiredScript == "lib/tweak_data/weaponfactorytweakdata" then
	Hooks:PostHook(WeaponFactoryTweakData, "init", "better attachments", function(self)
	
	--assault light
	self.parts.wpn_fps_upg_fl_ass_smg_sho_surefire = {
		sub_type = "flashlight",
		unit = "units/payday2/weapons/wpn_fps_upg_fl_ass_smg_sho_surefire/wpn_fps_upg_fl_ass_smg_sho_surefire",
		type = "gadget",
		name_id = "bm_wp_upg_fl_ass_smg_sho_surefire",
		a_obj = "a_fl",
		pcs = {
			10,
			20,
			30,
			40
		},
		stats = {
			value = 3,
			spread_moving = -1,
			concealment = -2,
			spread = 2
		},
		adds = {
			"wpn_fps_addon_ris"
		}
	}
	--tactical laser module
		self.parts.wpn_fps_upg_fl_ass_smg_sho_peqbox = {
		sub_type = "laser",
		unit = "units/payday2/weapons/wpn_fps_upg_fl_ass_smg_sho_peqbox/wpn_fps_upg_fl_ass_smg_sho_peqbox",
		type = "gadget",
		name_id = "bm_wp_upg_fl_ass_smg_sho_peqbox",
		a_obj = "a_fl",
		pcs = {
			20,
			30,
			40
		},
		stats = {
			value = 5,
			spread_moving = -1,
			concealment = -2,
		    recoil = 2
		},
		adds = {
			"wpn_fps_addon_ris"
		}
	}
	--Pocket laser pistol
		self.parts.wpn_fps_upg_fl_pis_laser = {
		sub_type = "laser",
		unit = "units/payday2/weapons/wpn_fps_upg_fl_pis_laser/wpn_fps_upg_fl_pis_laser",
		type = "gadget",
		name_id = "bm_wp_upg_fl_pis_laser",
		a_obj = "a_fl",
		pcs = {
			20,
			30,
			40
		},
		stats = {
			value = 5,
			spread_moving = -1,
			concealment = -2,
			recoil = 2
		}
	}
	--tactical pistol light
		self.parts.wpn_fps_upg_fl_pis_tlr1 = {
		sub_type = "flashlight",
		unit = "units/payday2/weapons/wpn_fps_upg_fl_pis_tlr1/wpn_fps_upg_fl_pis_tlr1",
		type = "gadget",
		name_id = "bm_wp_upg_fl_pis_tlr1",
		a_obj = "a_fl",
		pcs = {
			10,
			20,
			30,
			40
		},
		stats = {
			value = 2,
			spread_moving = -1,
			concealment = -2,
			spread = 2
		}
	}
		self.parts.wpn_fps_upg_fl_pis_m3x = {
		type = "gadget",
		texture_bundle_folder = "butcher_pack_mods",
		a_obj = "a_fl",
		sub_type = "flashlight",
		dlc = "butch_pack_free",
		name_id = "bm_wp_upg_fl_pis_m3x",
		unit = "units/pd2_dlc_butcher_mods/weapons/wpn_fps_upg_fl_pis_m3x/wpn_fps_upg_fl_pis_m3x",
		pcs = {
			10,
			20,
			30,
			40
		},
		stats = {
			value = 1,
			spread = 2,
			concealment = -2
		}
	}
		self.parts.wpn_fps_upg_fl_pis_x400v = {
		type = "gadget",
		dlc = "pd2_clan",
		a_obj = "a_fl",
		sub_type = "laser",
		name_id = "bm_wp_upg_fl_x400v",
		unit = "units/pd2_crimefest_2014/oct22/weapons/wpn_fps_upg_fl_pis_x400v/wpn_fps_upg_fl_pis_x400v",
		pcs = {
			10,
			20,
			30,
			40
		},
		stats = {
			value = 5,
			recoil = 2,
			spread = 2,
			concealment = -5
		},
		perks = {
			"gadget"
		},
		adds = {
			"wpn_fps_upg_fl_ass_peq15_flashlight"
		}
	}
		self.parts.wpn_fps_upg_fl_ass_peq15 = {
		type = "gadget",
		texture_bundle_folder = "gage_pack_jobs",
		a_obj = "a_fl",
		sub_type = "laser",
		dlc = "gage_pack_jobs",
		name_id = "bm_wp_upg_fl_ass_peq15",
		unit = "units/pd2_dlc_gage_jobs/weapons/wpn_fps_upg_fl_ass_peq15/wpn_fps_upg_fl_ass_peq15",
		pcs = {},
		stats = {
			value = 5,
			spread_moving = -1,
			concealment = -2,
			recoil = 1,
			spread = 1
		},
		perks = {
			"gadget"
		},
		adds = {
			"wpn_fps_addon_ris",
			"wpn_fps_upg_fl_ass_peq15_flashlight"
		}
	}
		self.parts.wpn_fps_upg_fl_ass_utg = {
		type = "gadget",
		texture_bundle_folder = "butcher_pack_mods",
		a_obj = "a_fl",
		sub_type = "laser",
		dlc = "butch_pack_free",
		name_id = "bm_wp_upg_fl_ass_utg",
		unit = "units/pd2_dlc_butcher_mods/weapons/wpn_fps_upg_fl_ass_utg/wpn_fps_upg_fl_ass_utg",
		pcs = {
			10,
			20,
			30,
			40
		},
		stats = {
			concealment = -5,
			recoil = 2,
			spread = 2,
			value = 5
		},
		perks = {
			"gadget"
		},
		adds = {
			"wpn_fps_addon_ris",
			"wpn_fps_upg_fl_ass_peq15_flashlight"
		}
	}
		self.parts.wpn_fps_upg_o_xpsg33_magnifier = {
		a_obj = "a_magnifier",
		texture_bundle_folder = "flip",
		depends_on = "sight",
		type = "gadget",
		parent = "sight",
		sub_type = "second_sight",
		name_id = "bm_wpn_fps_upg_o_xpsg33_magnifier",
		unit = "units/pd2_dlc_flip/weapons/wpn_fps_upg_o_xpsg33/wpn_fps_upg_o_xpsg33_magnifier",
		pcs = {
			10,
			20,
			30,
			40
		},
		stats = {
			value = 1,
			gadget_zoom = 9,
			spread = 2,
			concealment = -1
		},
		perks = {
			"gadget"
		},
		stance_mod = {
			wpn_fps_ass_m4 = {
				translation = Vector3(0, 6, -0.58)
			},
			wpn_fps_ass_amcar = {
				translation = Vector3(0, 6, -0.1)
			},
			wpn_fps_ass_m16 = {
				translation = Vector3(0, 6, -0.12)
			},
			wpn_fps_smg_olympic = {
				translation = Vector3(0, 6, -0.12)
			},
			wpn_fps_ass_74 = {
				translation = Vector3(0, 6, -3.1)
			},
			wpn_fps_ass_akm = {
				translation = Vector3(0, 6, -3.2)
			},
			wpn_fps_ass_akm_gold = {
				translation = Vector3(0, 6, -3.2)
			},
			wpn_fps_shot_saiga = {
				translation = Vector3(0, 6, -3)
			},
			wpn_fps_shot_r870 = {
				translation = Vector3(0.01, 6, -3.3)
			},
			wpn_fps_shot_serbu = {
				translation = Vector3(0, 6, -3.3)
			},
			wpn_fps_smg_akmsu = {
				translation = Vector3(-0.028, 6, -3.35)
			},
			wpn_fps_ass_ak5 = {
				translation = Vector3(0, 0, -3.5)
			},
			wpn_fps_ass_aug = {
				translation = Vector3(0, 6, -2.8)
			},
			wpn_fps_ass_g36 = {
				translation = Vector3(0, 6, -3)
			},
			wpn_fps_smg_p90 = {
				translation = Vector3(0, 6, -2.97)
			},
			wpn_fps_ass_m14 = {
				translation = Vector3(-0.04, 6, -3.87)
			},
			wpn_fps_smg_mp9 = {
				translation = Vector3(0, 6, -3.47)
			},
			wpn_fps_smg_mp5 = {
				translation = Vector3(0, 6, -3)
			},
			wpn_fps_smg_mac10 = {
				translation = Vector3(0, -4, -3.1)
			},
			wpn_fps_ass_s552 = {
				translation = Vector3(-0.08, 6, -2.1)
			},
			wpn_fps_smg_m45 = {
				translation = Vector3(0, 6, -3.9)
			},
			wpn_fps_smg_mp7 = {
				translation = Vector3(0, 6, -2.8)
			},
			wpn_fps_ass_scar = {
				translation = Vector3(0, 6, -0.25)
			},
			wpn_fps_pis_rage = {
				translation = Vector3(-0.05, -4, -4.65)
			},
			wpn_fps_pis_deagle = {
				translation = Vector3(0, -9, -4.25),
				rotation = Rotation(0, -0.5, 0)
			},
			wpn_fps_snp_m95 = {
				translation = Vector3(0, 10, -3.8)
			},
			wpn_fps_snp_msr = {
				translation = Vector3(0, -1, -3.55)
			},
			wpn_fps_snp_r93 = {
				translation = Vector3(-0.022, -1, -3.782)
			},
			wpn_fps_ass_fal = {
				translation = Vector3(0, 10, -3.5)
			},
			wpn_fps_sho_ben = {
				translation = Vector3(0, 6, -3.2)
			},
			wpn_fps_sho_striker = {
				translation = Vector3(0, 6, -2.8)
			},
			wpn_fps_sho_ksg = {
				translation = Vector3(0, 6, -1.3)
			},
			wpn_fps_smg_scorpion = {
				translation = Vector3(0, -4, -5.2)
			},
			wpn_fps_smg_tec9 = {
				translation = Vector3(0, -2, -5),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_smg_uzi = {
				translation = Vector3(0, -2, -5.1)
			},
			wpn_fps_pis_judge = {
				translation = Vector3(-0.02, -4, -5.406)
			},
			wpn_fps_ass_g3 = {
				translation = Vector3(0.025, -2, -3.42)
			},
			wpn_fps_ass_galil = {
				translation = Vector3(-0.01, 1, -3.25)
			},
			wpn_fps_ass_famas = {
				translation = Vector3(0, 13, -6.2)
			},
			wpn_fps_sho_spas12 = {
				translation = Vector3(-0.2, 6, -3.9)
			},
			wpn_fps_smg_sterling = {
				translation = Vector3(0, -8, -3.61)
			},
			wpn_fps_snp_mosin = {
				translation = Vector3(0, -22, -4.3)
			},
			wpn_fps_smg_thompson = {
				translation = Vector3(0, -18, -4.2)
			},
			wpn_fps_ass_l85a2 = {
				translation = Vector3(0, 12, 1.85)
			},
			wpn_fps_ass_vhs = {
				translation = Vector3(-0.01, 3, -1.205)
			},
			wpn_fps_rpg7 = {
				translation = Vector3(0, 11, 0.04),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_sho_aa12 = {
				translation = Vector3(-0.01, 6, 0.07),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_gre_m32 = {
				translation = Vector3(0, 11, -3.5),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_smg_polymer = {
				translation = Vector3(0, 8, -0.65),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_snp_wa2000 = {
				translation = Vector3(0, -4, 0.75),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_snp_model70 = {
				translation = Vector3(0, -4, -4.05),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_snp_r700 = {
				translation = Vector3(0, -4, -4.05),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_snp_sbl = {
				translation = Vector3(0, -4, -4.05),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_shot_m37 = {
				translation = Vector3(0, -4, -4.05),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_shot_m1897 = {
				translation = Vector3(0, -4, -4.05),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_smg_sr2 = {
				translation = Vector3(0, 11, -4.6),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_ass_tecci = {
				translation = Vector3(-0.01, 11, -1.7),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_smg_hajk = {
				translation = Vector3(0, 11, -0.5),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_snp_desertfox = {
				translation = Vector3(0, -6, -3.9),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_smg_schakal = {
				translation = Vector3(0, 6, -2.8),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_sho_rota = {
				translation = Vector3(0, 6, -0.4),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_gre_arbiter = {
				translation = Vector3(0, 6, -0.4),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_ass_contraband = {
				translation = Vector3(-0.01, 11, -1.7),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_snp_tti = {
				translation = Vector3(0, 11, -0.1),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_snp_siltstone = {
				translation = Vector3(0, 11, -4.04),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_ass_flint = {
				translation = Vector3(0, 11, -2.65),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_smg_coal = {
				translation = Vector3(0, 11, -4),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_ass_ching = {
				translation = Vector3(0, 11, -2.8),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_sho_basset = {
				translation = Vector3(0, 11, -0.68),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_ass_corgi = {
				translation = Vector3(0, 0, -2.3),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_smg_shepheard = {
				translation = Vector3(0, 5, -0.45),
				rotation = Rotation(0, 0, 0)
			},
			wpn_fps_ass_komodo = {
				translation = Vector3(0, 15, 0),
				rotation = Rotation(0, 0, 0)
			}
		},
		visibility = {
			{
				condition = function (self, part, npc)
					return _G.IS_VR and not npc
				end,
				objects = {
					g_vr_lens = true,
					g_vr_phong = true,
					g_glass = false,
					g_screen = true,
					g_vr_g33 = true
				}
			}
		},
		camera = {
			a_camera = "a_camera",
			material = "screen",
			fov = 13,
			a_screen = "g_screen",
			channel = "macrodetail_diffuse_texture"
		}
	}
		self.parts.wpn_fps_upg_o_sig = {
		a_obj = "a_magnifier",
		texture_bundle_folder = "mwm",
		depends_on = "sight",
		type = "gadget",
		parent = "sight",
		sub_type = "second_sight",
		dlc = "mwm",
		name_id = "bm_wpn_fps_upg_o_sig",
		unit = "units/pd2_dlc_mwm/weapons/wpn_fps_upg_o_sig/wpn_fps_upg_o_sig",
		pcs = {
			10,
			20,
			30,
			40
		},
		stats = {
			value = 2,
			gadget_zoom = 9,
			spread = 2,
			concealment = -1
		},
		perks = {
			"gadget"
		},
		stance_mod = deep_clone(self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod),
		visibility = {
			{
				condition = function (self, part, npc)
					return _G.IS_VR and not npc
				end,
				objects = {
					g_vr_lens = true,
					g_vr_phong = true,
					g_glass = false,
					g_screen = true,
					g_vr_g33 = true
				}
			}
		},
		camera = {
			a_camera = "a_camera",
			material = "screen",
			fov = 13,
			a_screen = "g_screen",
			channel = "macrodetail_diffuse_texture"
		}
	}
		self.parts.wpn_fps_upg_o_45rds = {
		is_a_unlockable = true,
		a_obj = "a_o",
		depends_on = "sight",
		texture_bundle_folder = "tng",
		sub_type = "second_sight",
		dlc = "tango",
		name_id = "bm_wpn_fps_upg_o_45rds",
		unit = "units/pd2_dlc_tng/weapons/wpn_fps_upg_o_45rds/wpn_fps_upg_o_45rds",
		type = "gadget",
		pcs = {},
		stats = {
			value = 1,
			gadget_zoom = 1,
			spread = 1
		},
		perks = {
			"gadget"
		},
		override = {
			wpn_fps_ass_m14_body_ruger = {
				third_unit = "units/pd2_dlc_atw/weapons/wpn_fps_ass_m14_body_ruger/wpn_third_ass_m14_body_ruger_rail",
				unit = "units/pd2_dlc_atw/weapons/wpn_fps_ass_m14_body_ruger/wpn_fps_ass_m14_body_ruger_rail"
			}
		},
		texture_switch = {
			material = "gfx_reddot1",
			channel = "diffuse_texture"
		},
		material_parameters = deep_clone(self.parts.wpn_fps_upg_o_specter.material_parameters),
		stance_mod = {
			wpn_fps_ass_m4 = {
				translation = Vector3(-2.75, 0, -11.15),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_amcar = {
				translation = Vector3(-2.75, 0, -10.7),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_m16 = {
				translation = Vector3(-2.75, 0, -10.7),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_74 = {
				translation = Vector3(-3.2, -20, -13.75),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_akm = {
				translation = Vector3(-3.2, -20, -13.75),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_akm_gold = {
				translation = Vector3(-3.2, -20, -13.75),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_ak5 = {
				translation = Vector3(-1.25, 0, -13.5),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_aug = {
				translation = Vector3(-3.52, 0, -12.15),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_g36 = {
				translation = Vector3(-0.65, 0, -12.47),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_m14 = {
				translation = Vector3(-1.94, -10, -14.35),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_s552 = {
				translation = Vector3(-3.15, 0, -12.9),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_scar = {
				translation = Vector3(-1.6, 0, -10.4),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_scar = {
				translation = Vector3(-1.6, 0, -10.4),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_fal = {
				translation = Vector3(-2.37, 0, -13.98),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_g3 = {
				translation = Vector3(-0.7, -10, -13.14),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_galil = {
				translation = Vector3(-2.2, 0, -13.56),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_famas = {
				translation = Vector3(2.7, 0, -16.9),
				rotation = Rotation(0, 1.5, -45)
			},
			wpn_fps_ass_l85a2 = {
				translation = Vector3(-4.3, 10, -8.35),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_asval = {
				translation = Vector3(-1.7, 0, -10.15),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_vhs = {
				translation = Vector3(-2.65, 0, -10.7),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_sub2000 = {
				translation = Vector3(-5.15, 0, -10.1),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_tecci = {
				translation = Vector3(-3, 0, -12.85),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_contraband = {
				translation = Vector3(-2.35, 0, -12),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_corgi = {
				translation = Vector3(-2.9, 0, -13.9),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_komodo = {
				translation = Vector3(-4.95, 0, -11.7),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_m95 = {
				translation = Vector3(-0.4, 5.8, -15.075),
				rotation = Rotation(-0.4, 0, -45)
			},
			wpn_fps_snp_msr = {
				translation = Vector3(-2.2, 8, -12.29),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_r93 = {
				translation = Vector3(-2.3, 7.8, -14.1),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_mosin = {
				translation = Vector3(-2.2, -5, -13),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_wa2000 = {
				translation = Vector3(-2.25, 0, -9.5),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_model70 = {
				translation = Vector3(-2.55, -4, -12.3),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_r700 = {
				translation = Vector3(-2.6, -4, -12),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_sbl = {
				translation = Vector3(-5, -9, -15.4),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_desertfox = {
				translation = Vector3(-3.21, -4, -12.05),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_tti = {
				translation = Vector3(-2.83, 0, -9.65),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_siltstone = {
				translation = Vector3(-1.67, 0, -13.15),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_flint = {
				translation = Vector3(-3.2, 0, -13.1),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_ass_ching = {
				translation = Vector3(-1.8, 0, -13.1),
				rotation = Rotation(0, 0, -45)
			}
		}
	}
		self.parts.wpn_fps_upg_o_45rds_v2 = {
		type = "gadget",
		texture_bundle_folder = "flip",
		a_obj = "a_o",
		depends_on = "sight",
		sub_type = "second_sight",
		name_id = "bm_wpn_fps_upg_o_45rds_v2",
		unit = "units/pd2_dlc_flip/weapons/wpn_fps_upg_o_45rds_v2/wpn_fps_upg_o_45rds_v2",
		pcs = {
			10,
			20,
			30,
			40
		},
		stats = {
			value = 1,
			gadget_zoom = 1,
			spread = 1
		},
		perks = {
			"gadget"
		},
		stance_mod = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod),
		texture_switch = {
			material = "gfx_reddot1",
			channel = "diffuse_texture"
		},
		material_parameters = deep_clone(self.parts.wpn_fps_upg_o_specter.material_parameters),
		override = {
			wpn_fps_ass_m14_body_ruger = {
				third_unit = "units/pd2_dlc_atw/weapons/wpn_fps_ass_m14_body_ruger/wpn_third_ass_m14_body_ruger_rail",
				unit = "units/pd2_dlc_atw/weapons/wpn_fps_ass_m14_body_ruger/wpn_fps_ass_m14_body_ruger_rail"
			}
		}
	}
		self.parts.wpn_fps_upg_o_45iron = {
		is_a_unlockable = true,
		texture_bundle_folder = "gage_pack_snp",
		dlc = "gage_pack_snp",
		a_obj = "a_o",
		type = "gadget",
		sub_type = "second_sight",
		name_id = "bm_wpn_fps_upg_o_45iron",
		unit = "units/pd2_dlc_gage_snp/weapons/wpn_fps_upg_o_45iron/wpn_fps_upg_o_45iron",
		pcs = {},
		stats = {
			value = 1,
			gadget_zoom = 1,
			concealment = 1
		},
		perks = {
			"gadget"
		},
		stance_mod = {
			wpn_fps_snp_m95 = {
				translation = Vector3(-0.5, 5.8, -14.5),
				rotation = Rotation(-0.4, 0, -45)
			},
			wpn_fps_snp_msr = {
				translation = Vector3(-2.4, 8, -11.8),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_r93 = {
				translation = Vector3(-2.495, 7.8, -13.8),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_sbl = {
				translation = Vector3(-5.23, -9, -15),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_mosin = {
				translation = Vector3(-2.44, -5, -12.4),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_wa2000 = {
				translation = Vector3(-2.4, 0, -9),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_model70 = {
				translation = Vector3(-2.75, -4, -11.82),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_r700 = {
				translation = Vector3(-2.8, -4, -11.69),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_desertfox = {
				translation = Vector3(-3.4, -4, -11.4),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_tti = {
				translation = Vector3(-3.01, 1, -9.1),
				rotation = Rotation(0, 0, -45)
			},
			wpn_fps_snp_siltstone = {
				translation = Vector3(-1.87, 5, -12.6),
				rotation = Rotation(0, 0, -45)
			}
		}
	}
	end)
end